Summary:	Python interface to FAM (File Alternation Monitor)
Summary(pl.UTF-8):	Interfejs do FAM (File Alternation Monitor) dla Pythona
Name:		python-fam
Version:	1.1.1
Release:	4
License:	LGPL
Group:		Development/Languages/Python
Source0:	http://downloads.sourceforge.net/python-fam/%{name}-%{version}.tar.gz
# Source0-md5:	f6c760c6d8e5ea69a3fce029f7973558
URL:		http://python-fam.sourceforge.net/
BuildRequires:	fam-devel
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python FAM provides a Python module to use the File Alteration Monitor
(http://oss.sgi.com/projects/fam/) in Python.

%description -l pl.UTF-8
Python FAM to moduł pozwalający korzystać z File Alternation Monitor
(monitora zmian plików). Więcej informacji o FAM dostępne jest na
stronie <http://oss.sgi.com/projects/fam/>.

%prep
%setup -q

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install test*.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_fam.so
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-fam.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 67a32ca
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b3ece86
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 495de35
- BR: fam-devel, python-modules, rpm-pythonprov
- dropped unused BR: perl-base

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ae436f2
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0da8cec
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8dbf698
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cf56a3d
- converted to UTF-8

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 6d1821e
- remove extra unneeded slash

* Mon Jan 23 2006 piti <piti@pld-linux.org> 6fa3318
- up to 1.1.1

* Sun May 01 2005 Elan Ruusamäe <glen@pld-linux.org> c809bb3
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

* Sun Jan 02 2005 saq <saq@pld-linux.org> d52b947
- drop python23 bcond, autodetect python version

* Thu Dec 23 2004 saq <saq@pld-linux.org> 7ddd23b
- release 2 for rebuild with python 2.4
- bcond python23

* Sat Nov 27 2004 saq <saq@pld-linux.org> 20daac1
- massive attack: added missing python-devel epoch do BR

* Fri Jun 04 2004 Jakub Bogusz <qboosh@pld-linux.org> 62d1144
- cleanups

* Fri Jun 04 2004 jpc <jpc@pld-linux.org> c47a242
- new spec

